
#import <UIKit/UIKit.h>

@protocol StarViewDelegate <NSObject>
-(void)getScore:(float)score;
-(void)getScoreWithIndex:(float)score index:(int)idx;
@end

@interface StarView : UIView
@property (nonatomic,assign) id <StarViewDelegate> delegate;
//如果一个页面有多个评分控件，请传入此参数，并实现StarViewDelegate，方便区分控件
@property (nonatomic) int index;
//传进来图片名称，区域位置大小frame，5课星星间的间距（因为需要做0星的处理，所以间距是6份，而不是4，所以区域大小一定要计算好，如果有其他的需求，请修改星级判断的方法实现）
//必须要传入frame，因为这个值相当于是给控件一个范围，方便用于手势控制的检测，建议使用时不要修改去掉此参数
-(id)initWithFrame:(CGRect)frame space:(float)space starWidth:(float)wid EmptyImage:(NSString *)Empty StarImage:(NSString *)Star;
@end
